ApiBatchResponseElement (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiBatchResponseElement

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiBatchResponseElement

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiBatchResponseElement
      extends Object

  A single element of a batch response, often part of a list with other elements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiBatchResponseElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Object` | `getResponse()` Read-only.
    `BigDecimal` | `getStatusCode()` Read-only.
    `int` | `hashCode()`
    `ApiBatchResponseElement` | `response(Object response)`
    `void` | `setResponse(Object response)`
    `void` | `setStatusCode(BigDecimal statusCode)`
    `ApiBatchResponseElement` | `statusCode(BigDecimal statusCode)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiBatchResponseElement

          public ApiBatchResponseElement()

  - ### Method Detail

    - #### statusCode

          public ApiBatchResponseElement statusCode(BigDecimal statusCode)

    - #### getStatusCode

          public BigDecimal getStatusCode()

      Read-only. The HTTP status code of the response.
      Returns:
        statusCode

    - #### setStatusCode

          public void setStatusCode(BigDecimal statusCode)

    - #### response

          public ApiBatchResponseElement response(Object response)

    - #### getResponse

          public Object getResponse()

      Read-only. The (optional) serialized body of the response, in the representation produced by the corresponding API endpoint, such as application/json.
      Returns:
        response

    - #### setResponse

          public void setResponse(Object response)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.